--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns index name if property has index.
- !ruby/struct:SM::Flow::P 
  body: "@return [true, Symbol, Array, nil]"
- !ruby/struct:SM::Flow::VERB 
  body: "  returns true if property is indexed by itself\n  returns a Symbol if the property is indexed with other properties\n  returns an Array if the property belongs to multiple indexes\n  returns nil if the property does not belong to any indexes\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Property#index
is_singleton: false
name: index
params: ()
visibility: public
